**Table of Contents**

- [Why is there a blank page after the website is deployed to GitHub Pages?](#why-is-there-a-blank-page-after-the-website-is-deployed-to-github-pages)
- [Why isn't the website content updated immediately?](#why-isnt-the-website-content-updated-immediately)

---

## Why is there a blank page after the website is deployed to GitHub Pages?
  
Please take the time to read the [tutorial on deployment](https://chirpy.cotes.page/posts/getting-started/#deployment).

## Why isn't the website content updated immediately?

To load web pages offline, we used [PWA](https://web.dev/progressive-web-apps/) in this project. Every time you use a browser to visit your website, the local cache will be displayed to you first. At the same time, a background process will check for website updates and refresh the local cache. After that, you will be able to see the latest website contents; usually, this process takes tens of seconds to several minutes. If you want to see the latest content right away, please use the incognito mode of your browser.
